Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRAbstractExporter.BaseExporterContext

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext

All Implemented Interfaces:
  JRExporterContext

Direct Known Subclasses:
  JExcelApiExporter.ExporterContext, JRDocxExporter.ExporterContext, JRHtmlExporter.ExporterContext, JROdsExporter.ExporterContext, JROdtExporter.ExporterContext, JRPdfExporter.ExporterContext, JRPptxExporter.ExporterContext, JRRtfExporter.ExporterContext, JRXhtmlExporter.ExporterContext, JRXlsExporter.ExporterContext, JRXlsxExporter.ExporterContext, JRXmlExporter.ExporterContext

Enclosing class:
  JRAbstractExporter

    public abstract class JRAbstractExporter.BaseExporterContext

extends java.lang.Object
implements JRExporterContext

Constructor Summary
`JRAbstractExporter.BaseExporterContext()`

Method Summary
`JasperPrint` | `getExportedReport()` Returns the report which is currently exported.
`JRExporter` | `getExporter()` Returns the current exporter.
`java.util.Map` | `getExportParameters()` Returns the map of export parameters.
`int` | `getOffsetX()` Returns the current X-axis offset at which elements should be exported.
`int` | `getOffsetY()` Returns the current Y-axis offset at which elements should be exported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.export.JRExporterContext
`getExportPropertiesPrefix`

Constructor Detail

### JRAbstractExporter.BaseExporterContext

    public JRAbstractExporter.BaseExporterContext()

Method Detail

### getExporter

    public JRExporter getExporter()

  Description copied from interface: `JRExporterContext`
  Returns the current exporter.

  Specified by:
    `getExporter` in interface `JRExporterContext`
  Returns:
    current exporter

### getExportedReport

    public JasperPrint getExportedReport()

  Description copied from interface: `JRExporterContext`
  Returns the report which is currently exported.

  Specified by:
    `getExportedReport` in interface `JRExporterContext`
  Returns:
    currently exported report

### getExportParameters

    public java.util.Map getExportParameters()

  Description copied from interface: `JRExporterContext`
  Returns the map of export parameters.

  The map uses `JRExporterParameter` instances as keys.

  Specified by:
    `getExportParameters` in interface `JRExporterContext`
  Returns:
    the map of export parameters

### getOffsetX

    public int getOffsetX()

  Description copied from interface: `JRExporterContext`
  Returns the current X-axis offset at which elements should be exported.

  Specified by:
    `getOffsetX` in interface `JRExporterContext`
  Returns:
    the current X-axis offset

### getOffsetY

    public int getOffsetY()

  Description copied from interface: `JRExporterContext`
  Returns the current Y-axis offset at which elements should be exported.

  Specified by:
    `getOffsetY` in interface `JRExporterContext`
  Returns:
    the current Y-axis offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com